#ifndef __DRONEDGE_H__
#define __DRONEDGE_H__

#include <open62541/server.h>
UA_Float defaultFloat = 0;
UA_Double defaultDouble = 0;

const VariableData droneVariableArray[] = {
    {
        .name = "latitude",
        .description = "Latitude",
        .pdefaultValue = &defaultDouble,
        .type = UA_TYPES_DOUBLE,
        .builtInType = UA_NS0ID_DOUBLE,
    },
    {
        .name = "longitude",
        .description = "Longitude",
        .pdefaultValue = &defaultDouble,
        .type = UA_TYPES_DOUBLE,
        .builtInType = UA_NS0ID_DOUBLE,
    },
    {
        .name = "altitude_abs",
        .description = "Absolute Altitude (AMSL)",
        .pdefaultValue = &defaultFloat,
        .type = UA_TYPES_FLOAT,
        .builtInType = UA_NS0ID_FLOAT,
    },
    {
        .name = "altitude_rel",
        .description = "Relative Altitude",
        .pdefaultValue = &defaultFloat,
        .type = UA_TYPES_FLOAT,
        .builtInType = UA_NS0ID_FLOAT,
    },
};


#endif /* __DRONEDGE_H__ */
