#ifndef __PUBSUB_H__
#define __PUBSUB_H__

#include <open62541/server.h>
#include <open62541/plugin/log_stdout.h>

#define countof(x) (sizeof(x) / sizeof((x)[0]))

#define DATA_SET_WRITER_ID 1
#define WRITER_GROUP_ID 1

typedef struct {
    int id;
    UA_Double latitude;
    UA_UInt32 latitudeId;
    UA_Double longitude;
    UA_UInt32 longitudeId;
    UA_Float altitudeAbs;
    UA_UInt32 altitudeAbsId;
    UA_Float altitudeRel;
    UA_UInt32 altitudeRelId;
} JSDroneData;

typedef struct {
    char *name;
    char *description;
    void * UA_RESTRICT pdefaultValue;
    int type;
    UA_Byte builtInType;
} VariableData;

UA_StatusCode writeVariable(char *name, void * UA_RESTRICT pvalue,
                            UA_DataType type);

int runPubsub(UA_String *transportProfile,
              UA_NetworkAddressUrlDataType *networkAddressUrl,
              VariableData const *variableArray, int nbVariable, 
              int id, int nbReader,
              void (*init_node_id)(UA_UInt32 id, int nb, int magic),
              int (*get_reader_id)(int nb),
              void (*update)(UA_UInt32 id, const UA_DataValue*),
              UA_Boolean *running);

#endif /* __PUBSUB_H__ */
